
#ifndef __KK_HAL_H__
#define __KK_HAL_H__
#include <stdio.h>
#include <sys/time.h>
#include <time.h>
#include "kk_product.h"
#ifndef _IN_
    #define _IN_
#endif

#ifndef _OU_
    #define _OU_
#endif

uint64_t HAL_UptimeMs(void);
time_t HAL_Uptimes(void);
uint32_t HAL_Get_IP(char ip_str[NETWORK_ADDR_LEN], const char *ifname);
time_t HAL_GetTime(void);
time_t HAL_GetTime_s(char *outStr);
int HAL_Snprintf(_IN_ char *str, const int len, const char *fmt, ...);
int HAL_Vsnprintf(_IN_ char *str, _IN_ const int len, _IN_ const char *format, va_list ap);
#endif
